commit:     9128cdb81b317f56cf4605404e556b8681152fe9
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue May 14 05:20:16 2019 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue May 14 05:20:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9128cdb8

dev-libs/libxslt: bump with patch for CVE-2019-11068

Fixes: https://bugs.gentoo.org/684206
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 dev-libs/libxslt/Manifest                 |   2 +
 dev-libs/libxslt/libxslt-1.1.33-r1.ebuild | 125 ++++++++++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/dev-libs/libxslt/Manifest b/dev-libs/libxslt/Manifest
index 50121a97439..3693575aedd 100644
--- a/dev-libs/libxslt/Manifest
+++ b/dev-libs/libxslt/Manifest
@@ -1 +1,3 @@
 DIST libxslt-1.1.32.tar.gz 3440715 BLAKE2B 
8d5dead5788d8d09ab121d6e33397ee8ed8836f573adba4b5f0e3f2e1410acfca0c50dbe06ea3b50a2df819aa01e7522902fbd5270e5329075b854881150ab64
 SHA512 
e1ed3c103cd4c9897e7dd2360a11f63cf30382b7566ce6fcc81117804e203714446b5a62179ce628c3834b0b32ecdeeceecbdfa417507ce9ed5a107a0ebefb39
+DIST libxslt-1.1.33-CVE-2019-11068.patch 3965 BLAKE2B 
eb3a0741ac9f464e31e8edd276fec4d837c63676a56a446ad42a0e251508bacb0129cbe18783de305336eaa32b189ffc23e95e03cfd5f940d4dee376f1fa0f8c
 SHA512 
9a97c5038809aaf64cb4eb7d67b95acc4b62236d7613a5f753e2a0f4c9e707c22cd07bda2e518d3f36a40b9ed5aa93496b743998c7adadb84ca147e045e35948
+DIST libxslt-1.1.33.tar.gz 3444093 BLAKE2B 
3457e5b62328ccbc48fbc5f71bf8a54c195c0059dd18afa38e6916e74c57e72601970446210c7584d5410b956e3bbb8cd4b852ec71e0a13c4441e6de095d86d1
 SHA512 
ebbe438a38bf6355950167d3b580edc22baa46a77068c18c42445c1c9c716d42bed3b30c5cd5bec359ab32d03843224dae458e9e32dc61693e7cf4bab23536e0

diff --git a/dev-libs/libxslt/libxslt-1.1.33-r1.ebuild 
b/dev-libs/libxslt/libxslt-1.1.33-r1.ebuild
new file mode 100644
index 00000000000..c9089c61ace
--- /dev/null
+++ b/dev-libs/libxslt/libxslt-1.1.33-r1.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit autotools ltprune python-r1 toolchain-funcs multilib-minimal
+
+DESCRIPTION="XSLT libraries and tools"
+HOMEPAGE="http://www.xmlsoft.org/";
+SRC_URI="ftp://xmlsoft.org/${PN}/${P}.tar.gz
+               
https://gitlab.gnome.org/GNOME/libxslt/commit/e03553605b45c88f0b4b2980adfbbb8f6fca2fd6.patch
 -> libxslt-1.1.33-CVE-2019-11068.patch"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="crypt debug examples python static-libs elibc_Darwin"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       >=dev-libs/libxml2-2.9.1-r5:2[${MULTILIB_USEDEP}]
+       crypt?  ( >=dev-libs/libgcrypt-1.5.3:0=[${MULTILIB_USEDEP}] )
+       python? (
+               ${PYTHON_DEPS}
+               dev-libs/libxml2:2[python,${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+MULTILIB_CHOST_TOOLS=(
+       /usr/bin/xslt-config
+)
+
+MULTILIB_WRAPPED_HEADERS=(
+       /usr/include/libxslt/xsltconfig.h
+)
+
+src_prepare() {
+       default
+
+       DOCS=( AUTHORS ChangeLog FEATURES NEWS README TODO )
+
+       # Simplify python setup
+       # https://bugzilla.gnome.org/show_bug.cgi?id=758095
+       eapply "${FILESDIR}"/1.1.32-simplify-python.patch
+       eapply "${FILESDIR}"/${PN}-1.1.28-disable-static-modules.patch
+       eapply "${DISTDIR}"/libxslt-1.1.33-CVE-2019-11068.patch
+
+       eautoreconf
+       # If eautoreconf'd with new autoconf, then epunt_cxx is not necessary
+       # and it is propably otherwise too if upstream generated with new
+       # autoconf
+#      epunt_cxx
+       # But Prefix always needs elibtoolize if not eautoreconf'd.
+#      elibtoolize
+}
+
+multilib_src_configure() {
+       libxslt_configure() {
+               ECONF_SOURCE="${S}" econf \
+                       --with-html-dir="${EPREFIX}"/usr/share/doc/${PF} \
+                       --with-html-subdir=html \
+                       $(use_with crypt crypto) \
+                       $(use_with debug) \
+                       $(use_with debug mem-debug) \
+                       $(use_enable static-libs static) \
+                       "$@"
+       }
+
+       libxslt_py_configure() {
+               mkdir -p "${BUILD_DIR}" || die # ensure python build dirs exist
+               run_in_build_dir libxslt_configure --with-python
+       }
+
+       libxslt_configure --without-python # build python bindings separately
+
+       if multilib_is_native_abi && use python; then
+               python_foreach_impl libxslt_py_configure
+       fi
+}
+
+multilib_src_compile() {
+       default
+       multilib_is_native_abi && use python && libxslt_foreach_py_emake all
+}
+
+multilib_src_test() {
+       default
+       multilib_is_native_abi && use python && libxslt_foreach_py_emake test
+}
+
+multilib_src_install() {
+       # "default" does not work here - docs are installed by 
multilib_src_install_all
+       emake DESTDIR="${D}" install
+
+       if multilib_is_native_abi && use python; then
+               libxslt_foreach_py_emake \
+                       DESTDIR="${D}" \
+                       docsdir="${EPREFIX}"/usr/share/doc/${PF}/python \
+                       
EXAMPLE_DIR="${EPREFIX}"/usr/share/doc/${PF}/python/examples \
+                       install
+               python_foreach_impl python_optimize
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       if ! use examples && use python; then
+               rm -r "${ED}"/usr/share/doc/${PF}/python/examples || die
+       fi
+
+       prune_libtool_files --modules
+}
+
+libxslt_foreach_py_emake() {
+       libxslt_py_emake() {
+               pushd "${BUILD_DIR}/python" > /dev/null || die
+               emake "$@"
+               popd > /dev/null
+       }
+       local native_builddir=${BUILD_DIR}
+       python_foreach_impl libxslt_py_emake top_builddir="${native_builddir}" 
"$@"
+}

Reply via email to